Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.i18n.servlet.filter
Class ServletRequestWrapper

    java.lang.Object
      |
      +--javax.servlet.ServletRequestWrapper
            |
            +--javax.servlet.http.HttpServletRequestWrapper
                  |
                  +--oracle.i18n.servlet.filter.ServletRequestWrapper

All Implemented Interfaces:
  HttpServletRequest, ServletRequest

public class ServletRequestWrapper
extends HttpServletRequestWrapper

The `ServletRequestWrapper` class is an HTTP request class that detects the current user locale and makes it available for the application.

Since:
  10.1.0.2

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`ServletRequestWrapper(HttpServletRequest request)` Constructs a ServletRequestWrapper object for the GDK framework.

Method Summary
`String` | `getCharacterEncoding()` Returns the name of the character encoding used in the body of this request, or returns `null` if the request does not specify character encoding.
`Locale` | `getLocale()` Returns the current locale derived from the locale detection mechanism.
`Enumeration` | `getLocales()` Returns the `Enumeration` object that includes the current locales derived from the locale detection mechanism.
`String` | `getParameter(String key)` Returns the parameter value corresponding to the key.
`Map` | `getParameterMap()` Returns a `java.util.Map` object of the parameters of this request.
`Enumeration` | `getParameterNames()` Returns an `Enumeration` of `String` objects containing the names of the parameters in this request.
`String[]` | `getParameterValues(String key)` Returns an array of `String` objects containing all the values of the given request parameter, or returns `null` if the parameter does not exist.
`String` | `getRawParameter(String key)` Returns the raw value of the parameter corresponding to the key.
`void` | `setCharacterEncoding(String env)` Sets the character set of the input stream.

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getContentLength, getContentType, getInputStream, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getContentLength, getContentType, getInputStream, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute`

Constructor Detail

### ServletRequestWrapper

    public ServletRequestWrapper(HttpServletRequest request)
                          throws IOException

  Constructs a ServletRequestWrapper object for the GDK framework.

Parameters:
  `request` - a default `HttpServletRequest` object
Throws:
  `IOException` - if I/O exception occurs

Method Detail

### getLocale

    public Locale getLocale()

  Returns the current locale derived from the locale detection mechanism.

  Specified by:
    `getLocale` in interface `ServletRequest`
  Overrides:
    `getLocale` in class `ServletRequestWrapper`
  Returns:
    `Locale` object

### getLocales

    public Enumeration getLocales()

  Returns the `Enumeration` object that includes the current locales derived from the locale detection mechanism.

  Specified by:
    `getLocales` in interface `ServletRequest`
  Overrides:
    `getLocales` in class `ServletRequestWrapper`
  Returns:
    `Enumeration` object

### getCharacterEncoding

    public String getCharacterEncoding()

  Returns the name of the character encoding used in the body of this request, or returns `null` if the request does not specify character encoding.

  Specified by:
    `getCharacterEncoding` in interface `ServletRequest`
  Overrides:
    `getCharacterEncoding` in class `ServletRequestWrapper`
  Returns:
    a `String` containing the name of the character encoding, or returns `null` if the request does not specify character encoding

### getRawParameter

    public String getRawParameter(String key)

  Returns the raw value of the parameter corresponding to the key. This method does not perform character set conversion on the returned parameter.

  Parameters:
    `key` - the key string
  Returns:
    a `String` value corresponding to the `key`

### getParameter

    public String getParameter(String key)

  Returns the parameter value corresponding to the key.

  Specified by:
    `getParameter` in interface `ServletRequest`
  Overrides:
    `getParameter` in class `ServletRequestWrapper`
  Parameters:
    `key` - the key string
  Returns:
    a `String` value corresponding to the `key`

### getParameterValues

    public String[] getParameterValues(String key)

  Returns an array of `String` objects containing all the values of the given request parameter, or returns `null` if the parameter does not exist.

  Specified by:
    `getParameterValues` in interface `ServletRequest`
  Overrides:
    `getParameterValues` in class `ServletRequestWrapper`
  Parameters:
    `key` - a parameter name
  Returns:
    an array of `String` objects containing the parameter values corresponding to the `key`

### getParameterMap

    public Map getParameterMap()

  Returns a `java.util.Map` object of the parameters of this request. For HTTP servlets, parameters are contained in the query string or posted form data.

  Specified by:
    `getParameterMap` in interface `ServletRequest`
  Overrides:
    `getParameterMap` in class `ServletRequestWrapper`
  Returns:
    a `java.util.Map` object containing parameter names as keys and parameter values as map values

### getParameterNames

    public Enumeration getParameterNames()

  Returns an `Enumeration` of `String` objects containing the names of the parameters in this request. If the request has no parameters, the method returns an empty `Enumeration` object.

  Specified by:
    `getParameterNames` in interface `ServletRequest`
  Overrides:
    `getParameterNames` in class `ServletRequestWrapper`
  Returns:
    a `java.util.Enumeration` object containing parameter names

### setCharacterEncoding

    public void setCharacterEncoding(String env)
                              throws UnsupportedEncodingException

  Sets the character set of the input stream. By default, GDK determines the input character set based on the application configuration file. Use this method only if it is necessary to explicitly specify the character set.

  Specified by:
    `setCharacterEncoding` in interface `ServletRequest`
  Overrides:
    `setCharacterEncoding` in class `ServletRequestWrapper`
  Parameters:
    `env` - an IANA character set name
  Throws:
    `UnsupportedEncodingException` - if the given character set name is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.